-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Air Purifier")

	Card.SetType("Building")
	Card.SetImage("Card_Building_Factory")
	Card.SetDescription("This facility cleans the atmosphere by drawing in air and filtering out pollutants before venting the air back out again.")
	Card.AddDestructionSound("Demolition")
	
	Card.SetUniqueCategory("AirPurifier")
	Card.SetUpgradesTo("AtmosphericRefinery")

	Card.SetHealth(2)
	
	Card.SetLabourCost(13)
	Card.SetMaterialCost(1)
	Card.SetPolymerCost(2)

	Card.SetPowerUpkeep(2)
	Card.SetWaterUpkeep(1)

	Card.ProducePollution(-2)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end