-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Arcology")

	Card.SetType("Building")
	Card.SetImage("Card_Building_SmallHouse")
	Card.SetDescription("This large building is designed to be mostly self-contained, it provides comfortable living conditions with hydroponic gardens and recreational facilities.")
	Card.SetAmbientSound("EventHousing")
	Card.AddDestructionSound("Demolition")
	
	Card.SetHealth(5)
	
	Card.SetMaterialCost(8)
	Card.SetPolymerCost(4)
	
	Card.SetWaterUpkeep(1)
	Card.SetPowerUpkeep(2)

	Card.ProduceHouses(6)
	Card.ProduceFood(1)
	Card.ProduceMorale(1)
	Card.ProducePollution(1)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end