-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Mine")

	Card.SetType("Building")
	Card.SetImage("Card_Building_Mine")
	Card.SetDescription("This mine uses a large drill to harvest ore from below the ground which can then be processed into the building materials we need.")
	Card.SetAmbientSound("EventMining")
	Card.AddDestructionSound("Demolition")
	
	Card.SetUpgradesTo("CoreMine")

	Card.SetHealth(3)
	
	Card.SetLabourCost(7)
	Card.SetMaterialCost(2)

	Card.SetPowerUpkeep(2)

	Card.ProduceMaterials(2)
	Card.ProducePollution(1)

	Card.AddEvent("Event", 2, true)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Event()
	Game.ShowMessage("Core Sample", "Miners working in our mine have retrieved some rock samples from deep beneath the planet's surface. By studying these we could learn more about the makeup of the planet.")

	Game.SpawnCard("CoreSample")
end