-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Oil Refinery")

	Card.SetType("Building")
	Card.SetImage("Card_Building_OilRefinery")
	Card.SetDescription("This factory harvests oil from beneath the ground and processes it into plastics and other useful chemicals.")
	Card.SetAmbientSound("EventFactory")
	Card.AddDestructionSound("Demolition")
	
	Card.SetUpgradesTo("PolymerFactory")

	Card.SetHealth(3)
	
	Card.SetLabourCost(7)
	Card.SetMaterialCost(3)

	Card.SetPowerUpkeep(2)

	Card.ProducePolymers(1)
	Card.ProducePollution(1)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
