-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Sentry Guns")

	Card.SetType("Building")
	Card.SetImage("Card_Building_SentryGun")
	Card.SetDescription("These turrets are mounted at strategic locations around the colony and will help defend against attack.")
	Card.AddDestructionSound("Demolition")

	Card.SetUniqueCategory("Turret")
	Card.SetHealth(3)
	
	Card.SetLabourCost(13)
	Card.SetMaterialCost(3)
	Card.SetPolymerCost(1)

	Card.SetPowerUpkeep(1)

	Card.ProduceDefence(2)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
	Combat.SetTurretsVisible(false)
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Combat.SetTurretsVisible(true)
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
