-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.AssignRandomName()

	Card.SetType("Colonist")
	Card.SetImage("Portrait_Background")
	Card.AssignRandomAppearance("Character")
	
	Card.AssignRandomBiography()
	
	Card.SetLevelUpEnabled(true)
	Card.SetHealth(3)
	
	Card.AddSkill("Any")
	Card.LevelUp(true)
	Card.LevelUp(true)
	Card.AddRandomTraits()
	
	Card.SetFoodUpkeep(1)
	Card.SetWaterUpkeep(1)	

	Card.AddAttackSound("AttackGun1")
	Card.AddAttackSound("AttackGun2")
	Card.AddAttackSound("AttackGun3")

	Card.AddDestructionSound("HumanDeath1")
	Card.AddDestructionSound("HumanDeath2")
	Card.AddDestructionSound("HumanDeath3")
	Card.AddDestructionSound("HumanDeath4")
	Card.AddDestructionSound("HumanDeath5")
	Card.AddDestructionSound("HumanDeath6")
	
	Card.AddEvent("Speak1", 8)
	Card.AddEvent("Speak2", 11)
	Card.AddEvent("Speak3", 13)
	Card.AddEvent("Speak4", 14)
	Card.AddEvent("Event", 15)

end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Speak1()
	Card.Speak("I feel... strange...")
end

-----------------------------------------------------------
-----------------------------------------------------------
function Speak2()
	Card.Speak("I'm really craving meat")
end

-----------------------------------------------------------
-----------------------------------------------------------
function Speak3()
	Card.Speak("... raw meat...")
end

-----------------------------------------------------------
-----------------------------------------------------------
function Speak4()
	Card.Speak("Fleeeesshhhh!")
end

-----------------------------------------------------------
-----------------------------------------------------------
function Event()
	local name = Card.GetName()
	Game.ShowMessage("Alert!", name .. " is attacking the colony, hissing, and snarling! There's some sort of alien parasite attached to their neck!\n\nWe have no choice but to defend ourselves.")

	Card.SetType("Attack")
	Card.Speak("Hssss!!!")

	Card.SetFoodUpkeep(0)
	Card.SetWaterUpkeep(0)	
end