-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Acid Rain")
	
	Card.SetType("Event")
	Card.SetImage("Card_Event_SoilPollution")
	Card.SetAmbientSound("EventRain")
	
	Card.SetDescription("High levels of pollution are causing the rain to be extremely acidic, harming people and crops, and damaging buildings.")

	Card.AddToDeck("Pollution")
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
	Game.ShowMessage("Acid Rain", "High levels of pollution have caused the rain to be extremely acidic, harming people and crops, and damaging buildings!")
	local rand = Game.GetRandomNumber(2, 4)
	Game.DamageRandomBuildings(rand)

	rand = Game.GetRandomNumber(2, 4)
	Game.DamageRandomColonists(rand, "Damage")
	Card.Discard()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
