-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("First Steps")
	
	Card.SetType("Expedition")
	Card.SetImage("Card_Exp_BeyondModule")
	Card.SetDescription("We need to put an expedition together to venture outside the landing module and check if its safe.\n\nGathering samples of soil and any life we find will allow our scientists to work out what resources we have to work with.")
	Card.SetAmbientSound("EventWilderness")
	
	Card.SetLabourCost(1)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Game.ShowMessage("Expedition Returned", "The planet has a breathable atmosphere and there is an abundance of strange life unlike anything we've seen before.\n\nThe expedition gathered samples and perhaps with some study we can determine if any of the wildlife is safe to eat.\n\nThere are mountains and forests nearby that we could explore, and a plume of smoke rising in the distance.")

	Game.SpawnCard("EcosystemStudy")
	Game.SpawnCard("Smoke")
	Game.SpawnCard("MountainExpedition")
	Game.SpawnCard("ForestExpedition")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
