-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Alien Technology")
	
	Card.SetType("Tech")
	Card.SetImage("Card_Research_Civic")
	Card.SetDescription("Our scientists are excited to study the ancient alien ruins we found. The unusual structures may give us insight into ways we can improve our own existing technology.")
	Card.SetAmbientSound("EventResearch")
	
	Card.SetLabourCost(21)

	Card.UnlocksUpgrade("Mine")
	Card.UnlocksUpgrade("OilRefinery")
	Card.UnlocksUpgrade("AirPurifier")
	Card.UnlocksUpgrade("StoneWall")
	Card.UnlocksUpgrade("RecreationArea")
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Game.ShowMessage("Research Complete", "Studying the alien ruins, we have created several new materials that could be used to improve our existing facilities.")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
