-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Civic Research")
	
	Card.SetType("Tech")
	Card.SetImage("Card_Research_Civic")
	Card.SetDescription("Now that we have the basic facilities of our colony set up, we can begin researching ways to improve them. Building larger farms, houses, and recreational areas will prepare our colony for growth.")
	Card.SetAmbientSound("EventResearch")
	
	Card.SetLabourCost(7)

	Card.UnlocksBuilding("Silo")
	Card.UnlocksBuilding("WaterTank")

	Card.UnlocksUpgrade("Farm")
	Card.UnlocksUpgrade("SmallHouse")
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Game.ShowMessage("Research Complete", "We've developed new designs to improve our facilities, including silos and water tanks which will allow us to stockpile supplies for emergencies.")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
