-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Mineral Survey")
	
	Card.SetType("Tech")
	Card.SetImage("Card_Research_Mineral")
	Card.SetDescription("Studying these rock samples could tell us more about the geology of the planet and whether there are useful minerals we could mine.")
	Card.SetAmbientSound("EventResearch")
	
	Card.SetLabourCost(4)

	Card.UnlocksBuilding("CoalGenerator")
	Card.UnlocksBuilding("Mine")
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Game.ShowMessage("An Interesting Discovery!", "The rock samples are high in useful minerals, including iron and coal. We could start building mines in the nearby mountains to harvest these resources.")

	Game.SpawnCard("RockyOutcropping")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
