-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Navigation System")
	
	Card.SetType("Tech")
	Card.SetImage("Card_Research_Industrial")
	Card.SetDescription("We've retrieved parts of the computer system from the SS Daedelus.\n\nOur scientists think they can reconstruct the navigational data from it, including the location of Earth.")
	Card.SetAmbientSound("EventResearch")
	
	Card.SetLabourCost(37)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Data.CreateInt("Core.NavResearched", 1)

	Game.ShowMessage("A Map", "We've retrieved the navigational data intact, including maps of known space and the location of Earth.\n\nWe can now plan our journey, all we need is a new ship.")

	local alloyResearched = Data.GetIntExists("Core.AlloyResearched")
	local fusionResearched = Data.GetIntExists("Core.FusionResearched")
	if alloyResearched and fusionResearched then
		Game.ShowMessage("The Path Home", "We now have all that we need to construct a ship that will carry us back to Earth: the alloys to build the hull, the generator to power the engines, and a map to follow.\n\nThe path home lies before us, we begin walking it whenever you are ready.")
		Game.SpawnCard("SpaceProgram")
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
