-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Signal Noise Reduction")
	
	Card.SetType("Tech")
	Card.SetImage("Card_Research_Industrial")
	Card.SetDescription("The atmosphere of this planet generates a strong electrical field that creates a lot of noise on radio channels, making it difficult to pick up broadcasts from far away.\n\nHowever this effect was not found in the area surrounding the alien obelisk, perhaps by studying our scans of the obelisk we could learn to improve our communications.")
	Card.SetAmbientSound("EventResearch")
	
	Card.SetLabourCost(13)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Game.ShowMessage("Signal Breakthrough", "We've been studying the effect created by the alien obelisk and have discovered a process for filtering out the radio noise created by the atmosphere.\n\nUsing this we have detected three distant signals that could indicate survivors.")

	Game.SpawnCard("DistantSurvivors")
	Game.SpawnCard("PulsingSignal")
	Game.SpawnCard("WeakSignal")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
