-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Scenario.SetName("Alpha Scenario")
	
	Scenario.SetImage("Image")
	Scenario.SetDescription("The colony has crash landed on a temperate world. Resources are plentiful.")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartGame()
	--Set initial resources
	Stockpile.AddFood(15)
	Stockpile.AddWater(15)
	Stockpile.AddMaterials(5)
	Stockpile.AddPolymers(5)
	
	--Spawn initial cards
	Game.SpawnCard("ColonyModule", 0, 0, "Centre")

	Game.SpawnCard("DamagedGenerator", 1, 0, "Centre")
	Game.SpawnCard("DesperateUnity", -1, 0, "Centre")
	Game.SpawnCard("BeyondTheModule", 0, 2, "Centre")

	Game.SpawnCard("Engineer", -1, -2, "Centre")
	Game.SpawnCard("Scientist", 0, -2, "Centre")
	Game.SpawnCard("Soldier", 1, -2, "Centre")

	Game.DelayActions(0.5)
	Game.ShowTutorial(0)
end