-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Scenario.SetName("Temperate World")
	
	Scenario.SetImage("Image")
	Scenario.SetDescription("The colony has crash landed on a temperate world. Resources are plentiful.")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartGame()
	--Set initial resources
	Stockpile.AddFood(15)
	Stockpile.AddWater(15)
	Stockpile.AddMaterials(20)
	Stockpile.AddPolymers(30)

	Game.SetAttacksEnabled(false)
	Game.SetTutorialsEnabled(false)
	
	--Spawn initial cards
	
	-------------------------------------------------------------
	--Sound Test
	---------------------------------------------------------------
	Game.SpawnCompleteCard("_TestCard", -4, 1, "Centre") --Rain
	Game.SpawnCompleteCard("FusionPlant", 4, 2, "Centre")
	Game.SpawnCard("StableSpire", -4, 2, "Centre")

	Game.SpawnCard("Anger", -3, 2, "Centre")
	Game.SpawnCard("SmallHouse", -2, 2, "Centre") --blueprint
	Game.SpawnCard("Soldier", -1, 2, "Centre") --default

	Game.SpawnCompleteCard("PolymerFactory", 0, 2, "Centre")
	Game.SpawnCompleteCard("Farm", 1, 2, "Centre")
	Game.SpawnCompleteCard("ApartmentComplex", 2, 2, "Centre")
	Game.SpawnCompleteCard("Mine", 3, 2, "Centre")
	
	Game.SpawnCard("CivicResearch", -3, 1, "Centre")
	Game.SpawnCard("PulsingSignal", -2, 1, "Centre")

	Game.SpawnCompleteCard("WaterPurifier", -1, 1, "Centre")

	Game.SpawnCard("BeautyOfNature", 0, 1, "Centre")
	---------------------------------------------------------------
	-------------------------------------------------------------

	--[[
	Game.SpawnCompleteCard("ColonyModule", 0, 0, "Centre")

	Game.SpawnCompleteCard("CoalGenerator", 4, 0, "Centre")
	Game.SpawnCompleteCard("CoalGenerator", 4, -1, "Centre")

	Game.SpawnCompleteCard("Farm", -3, 0, "Centre")
	Game.SpawnCompleteCard("Farm", -3, -1, "Centre")
	Game.SpawnCompleteCard("WaterPurifier", -4, 0, "Centre")
	Game.SpawnCompleteCard("WaterPurifier", -4, -1, "Centre")
	Game.SpawnCompleteCard("SmallHouse", -1, 0, "Centre")
	Game.SpawnCompleteCard("PolymerFactory", 2, 0, "Centre")
	Game.SpawnCompleteCard("Mine", 3, 0, "Centre")

	Game.SpawnCompleteCard("WoodenWall", 0, 1, "Centre")
	Game.SpawnCompleteCard("WatchTower", -1, 1, "Centre")

	Game.SpawnCard("Engineer", -1, -2, "Centre")
	Game.SpawnCard("Scientist", 0, -2, "Centre")
	Game.SpawnCard("Soldier", 1, -2, "Centre")
	Game.SpawnCard("Soldier", 3, -2, "Centre")
	Game.SpawnCard("Soldier", 4, -2, "Centre")


	--Game.SpawnCard("Ripper", 0, 2, "Centre")
	--Game.SpawnCard("Ripper", -1, 2, "Centre")
	--Game.SpawnCard("Ripper", -1, 2, "Centre")

	Game.SpawnCard("Goliath", 0, 2, "Centre")
	Game.SpawnCard("Goliath", 0, 2, "Centre")
	Game.SpawnCard("Ravager", 0, 2, "Centre")
	]]--

	Game.ShowBuildButton()
end