-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Apartment Complex")

	Card.SetType("Building")
	Card.SetImage("Card_Building_SmallHouse")
	Card.SetDescription("These apartment complexes provide each colonist with their own room. Although this space isn't large, it's a significant upgrade over the cramped living conditions we had previously.")
	Card.SetAmbientSound("EventHousing")
	Card.AddDestructionSound("Demolition")
	
	Card.SetUpgradesTo("Arcology")

	Card.SetHealth(3)
	
	Card.SetMaterialCost(4)
	Card.SetPolymerCost(1)

	Card.SetPowerUpkeep(1)

	Card.ProduceHouses(4)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end