-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Core Mine")

	Card.SetType("Building")
	Card.SetImage("Card_Building_Mine")
	Card.SetDescription("This huge structure contains machinery that burrows into the planet's core and extracts valuable resources from deep beneath the surface.")
	Card.SetAmbientSound("EventMining")
	Card.AddDestructionSound("Demolition")
	
	Card.SetHealth(5)
	
	Card.SetMaterialCost(6)
	Card.SetPolymerCost(2)

	Card.SetPowerUpkeep(2)

	Card.ProduceMaterials(3)
	Card.ProducePollution(2)

	Card.AddEvent("Event", 5, true)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Event()
	Game.ShowMessage("Uranium!", "Our workers in the core mine have discovered a vein of uranium deep beneath the planet's surface.")
	Game.SpawnCard("NuclearResearch")
end