-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Fusion Plant")

	Card.SetType("Building")
	Card.SetImage("Card_Building_Generator")
	Card.SetDescription("Fusion power creates vast amounts of clean energy using only water as the fuel source, however they are very expensive to build. If we are to ever find a way home, we will certainly need fusion power.")
	Card.SetAmbientSound("EventPowerPlant")
	Card.AddDestructionSound("Demolition")
	
	Card.SetHealth(3)
	
	Card.SetLabourCost(25)
	Card.SetMaterialCost(6)
	Card.SetPolymerCost(6)

	Card.SetWaterUpkeep(4)

	Card.ProducePower(20)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end