-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Stone Wall")

	Card.SetType("Building")
	Card.SetImage("Card_Building_StoneWall")
	Card.SetDescription("This stone wall is more durable than a wooden one and will better protect the colony.")
	Card.AddDestructionSound("Demolition")

	Card.SetUniqueCategory("Wall")
	Card.SetUpgradesTo("ForceField")

	Card.SetHealth(3)
	
	Card.SetMaterialCost(4)

	Card.ProduceDefence(3)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
	Combat.SetWallImage("")
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Combat.SetWallImage("WallStone")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
