-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Water Vault")

	Card.SetType("Building")
	Card.SetImage("Card_Building_Factory")
	Card.SetDescription("Designed to store water and ensure its purity, these large tanks include a built in filtration system to remove any contaminants that might be dangerous to the colonists.")
	Card.AddDestructionSound("Demolition")

	Card.SetUniqueCategory("WaterTank")
	Card.SetHealth(5)
	
	Card.SetMaterialCost(4)
	Card.SetPolymerCost(2)

	Card.SetPowerUpkeep(1)

	Card.ProduceWaterStorage(25)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
