-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Wooden Wall")

	Card.SetType("Building")
	Card.SetImage("Card_Building_WoodenWall")
	Card.SetDescription("These wooden walls should offer the colony some degree of protection against the local wildlife.")
	Card.AddDestructionSound("Demolition")

	Card.SetUniqueCategory("Wall")
	Card.SetUpgradesTo("StoneWall")

	Card.SetHealth(3)
	
	Card.SetLabourCost(7)
	Card.SetMaterialCost(1)

	Card.ProduceDefence(1)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
	Combat.SetWallImage("")
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Combat.SetWallImage("WallWood")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
