-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.AssignRandomName()

	Card.SetType("Colonist")
	Card.SetImage("Portrait_Background")
	Card.AssignRandomAppearance("Character")
	
	Card.AssignRandomBiography()
	
	Card.SetLevelUpEnabled(true)
	Card.SetHealth(3)
	
	Card.AddRandomTraits()
	
	Card.SetFoodUpkeep(1)
	Card.SetWaterUpkeep(1)

	Card.AddAttackSound("AttackGun1")
	Card.AddAttackSound("AttackGun2")
	Card.AddAttackSound("AttackGun3")

	Card.AddDestructionSound("HumanDeath1")
	Card.AddDestructionSound("HumanDeath2")
	Card.AddDestructionSound("HumanDeath3")
	Card.AddDestructionSound("HumanDeath4")
	Card.AddDestructionSound("HumanDeath5")
	Card.AddDestructionSound("HumanDeath6")
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
	Card.AddSkill("Any")
	Card.LevelUp(true)
	Card.LevelUp(true)
	
	local rand = Game.GetRandomNumber(0, 10)

	--Survivors have a 30% change of random conditions
	if rand < 3 then
		rand = Game.GetRandomNumber(0, 10)

		if rand < 3 then
			Card.AddCondition("Thirst")

		elseif rand < 6 then
			Card.AddCondition("Hunger")

		else
			Card.AddCondition("Damage")
		end
	end
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
