-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Air Pollution")
	
	Card.SetType("Event")
	Card.SetImage("Card_Event_SoilPollution")
	
	Card.SetDescription("There is a lot of pollution in the air. It's making people sick and is making the surrounding wildlife more aggressive.\n\n<align=\"center\"><i>You can assign workers to this card to clean the pollution up more quickly.</i></align>")
	
	Card.SetDiscardDelay(30);
	
	Card.ProduceThreat(1)
	Card.ProduceMorale(-1)
	
	Work.SetMaxWorkers(3)
	Card.AddToDeck("Pollution")
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
	local rand = Game.GetRandomNumber(0, 10)
	
	if rand == 0 then
		Game.ShowMessage("Choking Smog", "The pollution in the air is making it difficult for people to breathe. One of our colonists has been injured due to respiratory distress.")
		Game.DamageRandomColonists(1, "Damage")
	end
end
