-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Desperate Unity")
	
	Card.SetType("Event")
	Card.SetImage("Card_Event_DesperateUnity")
	Card.SetDescription("Resources are short and survival seems impossible but the people are putting aside their differences and working together to try and get through this difficult time.\n\n<align=\"center\"><i>The colony is unaffected by Morale while this card remains in play.</i></align>")
	
	Card.SetDiscardDelay(8)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
	Game.SetMoraleEnabled(false)
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
	Game.SetMoraleEnabled(true)

	Game.ShowMessage("Keeping Up Morale", "We've built the beginnings of our colony and as the immediate threat of starvation and thirst passes, so too does the sense of desperate unity that was holding the colony together. We should make sure we keep morale up going forward to avoid revolt.\n\n<align=\"center\"><i>Recreation Areas unlocked in the build menu</i></align>")

	Game.UnlockCard("RecreationArea")
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
