-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Prisoner")
	
	Card.SetType("Event")
	Card.SetImage("Card_Building_Factory")
	Card.SetDescription("One of the colonists has been imprisoned for their actions. In time they will be released and we hope they will return to being a productive member of society.")
	
	Card.SetFoodUpkeep(1)
	Card.SetWaterUpkeep(1)	

	Card.SetDiscardDelay(10)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
	local prisonerID = Data.GetInt("Core_PrisonerID")
	local prisonerName = Game.GetCardName(prisonerID)

	Game.ShowMessage("Imprisoned", prisonerName .. " has been imprisoned for their crimes. They will be released when they have served their sentence.")
	Game.HideCard(prisonerID)
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
	local prisonerID = Data.GetInt("Core_PrisonerID")
	local prisonerName = Game.GetCardName(prisonerID)

	Game.ShowMessage("Sentence Served", prisonerName .. " has been released from prison. Hopefully they will not commit any further crimes.")
	Game.ShowCard(prisonerID)
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
