-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Colony Improvements")
	
	Card.SetType("Tech")
	Card.SetImage("Card_Research_Civic")
	Card.SetDescription("The survivors we rescued have brought new ideas for improving our existing technologies.\n\nLarge self-contained arcologies would provide more comfortable housing, and refinements in our water purification and resource storage facilities would help improve our infrastructure.")
	Card.SetAmbientSound("EventResearch")
	
	Card.SetLabourCost(21)

	Card.UnlocksUpgrade("ApartmentComplex")
	Card.UnlocksUpgrade("WaterPurifier")
	Card.UnlocksUpgrade("Silo")
	Card.UnlocksUpgrade("WaterTank")
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Game.ShowMessage("Research Complete", "Through further research we have developed a number of new improvements to our colony.\n\nWe can begin upgrading these facilities whenever you are ready.")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
