-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Crystal Harmonics")
	
	Card.SetType("Tech")
	Card.SetImage("Card_Research_Fusion")
	Card.SetDescription("The crystal spire has become unstable and is emitting erratic pulses of energy. By studying this, our scientists hope to find a solution.")
	Card.SetAmbientSound("EventResearch")
	
	Card.SetLabourCost(17)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
	local id = Card.GetInstanceID()
	Data.CreateInt("Core_Harmonics", id)
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Game.ShowMessage("Solution Found", "Through their research, our scientists have discovered the source of the crystal spire's instability, a misalignment of several of its internal components.\n\nThey have corrected the error and not only has the spire stabilized, but it's now an even more effective deterrent to the local wildlife.")

	local spireID = Data.GetInt("Core_SpireID")
	Game.ReplaceCard(spireID, "ImprovedSpire")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
