-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Ecosystem Study")
	
	Card.SetType("Tech")
	Card.SetImage("Card_Research_Ecosystem")
	Card.SetDescription("We've collected samples of the flora and fauna found nearby, with study we can work out which ones are dangerous and if anything on this planet is edible.")
	Card.SetAmbientSound("EventResearch")
	
	Card.SetLabourCost(4)

	Card.UnlocksBuilding("SmallHouse")
	Card.UnlocksBuilding("Farm")
	Card.UnlocksBuilding("WaterPurifier")
	Card.UnlocksBuilding("SolarPanels")
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
	Game.DelayActions(0.5)
	Game.ShowTutorial(2)
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Game.ShowMessage("An Interesting Discovery!", "The life on this planet is fascinating! The animals and plants all share a similar crystalline cellular structure.\n\nOur scientists are excited to discover more, but in the meantime they report that several of the plants should be safe to eat. The water samples brought back by the expedition contained parasites and we'll need a purification system before it's safe to drink.\n\nWe've gathered some supplies from the immediate area but will need farms and purifiers to gather more.\n\n<align=\"center\">Gained: <sprite name=\"Food\">+5 <sprite name=\"Water\">+5</align>")

	Stockpile.AddFood(5)
	Stockpile.AddWater(5)
	
	Game.ShowBuildButton()
	Game.ShowTutorial(3)
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
