-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Fungal Research")
	
	Card.SetType("Tech")
	Card.SetImage("Card_Research_Ecosystem")
	Card.SetDescription("Our scientists are prepared to research the fungus spreading through the farms to see if they can find a solution.")
	Card.SetAmbientSound("EventResearch")
	
	Card.SetLabourCost(7)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
	local id = Card.GetInstanceID()
	if Data.GetIntExists("Core_FungusResearchID") == false then
		Data.CreateInt("Core_FungusResearchID", id)
	end	
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Game.ShowMessage("An Interesting Discovery!", "We've discovered that the presence of some of the local plants inhibits the growth of the fungus.\n\nWith this knowledge we've brought the fungus under control and created a garden where we can farm it safely.")

	local id = Data.GetInt("Core_FungusID")
	Game.ReplaceCard(id, "FungalGarden")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
