-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Nuclear Research")
	
	Card.SetType("Tech")
	Card.SetImage("Card_Research_Fusion")
	Card.SetDescription("Samples of uranium have been found but they are an unusual isotope, we will need to conduct further research if we wish to harness nuclear power.")
	Card.SetAmbientSound("EventResearch")
	
	Card.SetLabourCost(26)

	Card.UnlocksBuilding("NuclearPlant")
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Game.ShowMessage("Research Complete", "We've harnessed the unusual isotope of uranium found on this planet and can begin building nuclear power stations.")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
