-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Pest Control")
	
	Card.SetType("Tech")
	Card.SetImage("Card_Research_Biotech")
	Card.SetDescription("The alien pests in our silo are eating our food. We need to research a way to deter them from coming near the colony.")
	Card.SetAmbientSound("EventResearch")
	
	Card.SetLabourCost(13)
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Game.ShowMessage("Research Complete", "Our scientists have created a pesticide that will keep the rodents out of our food. We have begun applying it around the colony and the rodents have begun to disappear.")
	
	local siloID = Data.GetInt("Core_SiloID")
	siloID = Game.ReplaceCard(siloID, "Silo")
	Game.SetCardComplete(siloID)
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
