-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Pollution Study")
	
	Card.SetType("Tech")
	Card.SetImage("Card_Research_Ecosystem")
	Card.SetDescription("The air above the colony has become quite polluted and we've found traces of toxic chemicals in the soil. We don't currently know what the long term effects of this will be.\n\nWith study we can determine the severity of the problem and find new ways to reduce the colony's impact on the environment.")
	Card.SetAmbientSound("EventResearch")
	
	Card.SetLabourCost(7)

	Card.UnlocksBuilding("AirPurifier")
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Game.ShowMessage("An Interesting Discovery!", "We've discovered that the pollution produced by our facilities has an unusually pronounced effect on this planet's ecosystem. Not only are the plants more susceptible to damage, but the animals become more aggressive when exposed.\n\nWe've developed new facilities to help filter the pollution from the air.")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
