-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Card.SetName("Space Program")
	
	Card.SetType("Tech")
	Card.SetImage("Card_Research_Space")
	Card.SetDescription("Our scientists estimate that we now have all that we need to travel back to Earth.\n\nWith this program we will draw up a design for a new ship and begin planning the journey home.\n\n<align=\"center\"><i>This tech begins the path to victory.</i></align>")
	Card.SetAmbientSound("EventResearch")
	
	Card.SetLabourCost(37)

	Card.UnlocksBuilding("LaunchPad")
end

-----------------------------------------------------------
-----------------------------------------------------------
function EntersPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function LeavesPlay()
end

-----------------------------------------------------------
-----------------------------------------------------------
function Complete()
	Game.ShowMessage("The Path Home", "The materials we have discovered on this world can be adapted to build the engines we need.\n\nConstructing a ship large enough for all the colonists will be no small task, but we have the knowledge and it's only a matter of time and hard work.")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
end
