-----------------------------------------------------------
-----------------------------------------------------------
function Init()
	Trait.SetName("Scrounger")
	Trait.SetDescription("Occasionally finds some useful resources")
	
	Trait.SetImage("TraitScrounger")
end

-----------------------------------------------------------
-----------------------------------------------------------
function StartTurn()
end

-----------------------------------------------------------
-----------------------------------------------------------
function EndTurn()
	--Determine if we are giving resources this turn
	local rand = Game.GetRandomNumber(0, 10)
	
	if rand < 2 then
		--Determine how many resources to give
		local quantity = 1
		rand = Game.GetRandomNumber(0, 10)
		if rand < 1 then
			quantity = 2
		end

		--Work out which resource to give
		rand = Game.GetRandomNumber(0, 4)
		if rand == 0 then
			Stockpile.AddMaterials(quantity)
		elseif rand == 1 then
			Stockpile.AddPolymers(quantity)
		elseif rand == 2 then
			Stockpile.AddFood(quantity)
		else
			Stockpile.AddWater(quantity)
		end
	end
end